Subject: Re: [PATCH] tg3: fix return value check in tg3_read_vpd()

From: Dan Carpenter <[email-masked]>
Date: Mon, 27 Dec 2010 23:19:27 +0300

On Mon, Dec 27, 2010 at 06:31:34PM +0100, David Sterba wrote:
> CC: Matt Carlson <[email-masked]>
> CC: Michael Chan <[email-masked]>
> Signed-off-by: David Sterba <[email-masked]>
> ---

Your fix is obviously correct, but could you describe the symptoms
in your changelog instead of leaving it blank?  In the original code,
negative error values are ignored so we never goto out_not_found.  Can
pci_read_vpd() return any errors we care about besides -ENODEV?  What I
mean is, did you find this through analysing the code or did it cause a
bug at runtime?

regards,
dan carpenter